Unlock iPhone 3.1.3 Firmware With 05.11.07 Baseband Using Patched Blacksn0w

Written By Sam on 21 March 2010
Advertisements

There are many iPhone fans who are facing issues after updating to the 3.1.3 firmware. There are no proper tools to unlock 05.12.01 baseband. But if you are on 05.11.07 you can use Blacksn0w to unlock the baseband. But many people have reported issues while using blacksn0w to unlock 05.11.07 BB. But now the blacksnow tool is updated to work with 05.11.07 baseband. The patched blacksn0w works well with 3GS and 3G on 05.11.07 baseband.

The updated blacksn0w fix will help you in unlocking your iPhone on 3.1.3 firmware and 05.11.07 baseband. There were problems with blacksn0w as it was trying to patch a function which contained the reference to string “SIM is not supported”. In the latest iPhone 3.1.3 Firmware, Apple has replaced the same function in a way that it now uses a different string “Verified”. As the patch is determined by instruction “search and replace”, the patch will still work for iPhone 3.1.3 Firmware after changing the string and its length in Blacksn0w binary.

Do remember that this unlock is for 3GS and 3G on 3.1.3 firmware and 05.11.07 baseband. If you are on 3.1.3 firmware and 05.12.01 baseband, you still have to wait for some more time. Though some exploits were found to unlock 05.12.01 baseband, the Dev-Team and GeoHot are waiting to use them for iPhone 3.2 Firmware or iPhone 4G.

One Response to “Unlock iPhone 3.1.3 Firmware With 05.11.07 Baseband Using Patched Blacksn0w”

  1. ultrasn0w says:

    I hope that soon we will be able to unlock our 05.12.01 firmware updaters… there are alot of them.

Leave your response!